## org.eclipse.amp.amf.abase.contentassist
Class ABaseProposalProvider

    java.lang.Object
      AbstractABaseProposalProvider
          org.eclipse.amp.amf.abase.contentassist.ABaseProposalProvider

    public class ABaseProposalProvider

extends AbstractABaseProposalProvider

see http://www.eclipse.org/Xtext/documentation/latest/xtext.html#contentAssist on how to customize content assistant

Constructor Summary
`ABaseProposalProvider()`

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ABaseProposalProvider

    public ABaseProposalProvider()

Copyright (C) 2007-2009 Metascape, LLC, 2009 Miles Parker, 2006-2007 Argonne National Labs, and Contributors